# $Revision: 1.15 $, $Date: 2010/07/08 08:16:10 $

%define		module	irclib

Summary:	A set of Python modules for IRC support
Summary(pl.UTF-8):	Zestaw modułów Pythona do obsługi IRC-a
Name:		python-%{module}
Version:	0.4.5
Release:	3
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	141b7cd26723b337ef277ff5eb56bb5e
Patch0:		%{name}-CR.patch
URL:		http://python-irclib.sourceforge.net/
BuildRequires:	python >= 2.2.1
%pyrequires_eq	python
BuildArch:	noarch
Obsoletes:	%{module}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is intended to encapsulate the IRC protocol at a quite
low level. It provides an event-driven IRC client framework. It has a
fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%description -l pl.UTF-8
Ta biblioteka ma za zadanie obudowywać protokół IRC na dosyć niskim
poziomie. Dostarcza szkielet klienta IRC sterowany zdarzeniami. Ma
w miarę gruntowną obsługę dla podstaw protokołu IRC i połączeń CTCP i
DCC.

%prep
%setup -q
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README irccat irccat2 servermap testbot.py dccsend dccreceive
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-irclib.spec,v $
Revision 1.15  2010/07/08 08:16:10  arekm
- release 3

Revision 1.14  2008/10/03 17:51:54  arekm
- release 2

Revision 1.13  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.11  2005/06/09 16:29:38  saq
- up to 0.4.5

Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2005/02/28 10:20:06  czucz
- proper license

Revision 1.8  2005/02/28 10:15:35  czucz
- updated to 0.4.4

Revision 1.7  2005/02/07 17:17:05  czucz
- updated to 0.4.3

Revision 1.6  2004/12/28 12:51:14  saq
- release 1 for rebuild with python 2.4

Revision 1.5  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/08/31 15:13:52  darekr
- updated to 0.4.2

Revision 1.3  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/02/08 00:06:58  qboosh
- pl

Revision 1.1  2004/02/07 18:27:25  areq
- init PLD spec
